/**
 * Программно выполняет переход по ссылке, эмулируя клик по элементу <a>.
 * Можно указать цель перехода (target), например, открыть в новой вкладке.
 *
 * @param href - URL, по которому нужно перейти.
 * @param [target='_self'] - Цель перехода:
 *   - `_self` — в текущем окне (по умолчанию),
 *   - `_blank` — в новой вкладке,
 *   - `_parent` — в родительском фрейме,
 *   - `_top` — в верхнем уровне окна.
 */
export const redirectToLink = (href, target = '_self') => {
    const link = document.createElement('a');
    link.href = href;
    link.target = target;
    document.body.appendChild(link);
    link.click();
    document.body.removeChild(link);
};
